## 1.7.0+1

* Updated Android SDK to 1.7.1 (refer to https://sdk.bradyid.com/release_notes_android/ for details)
* Updated iOS SDK to 1.7.0  (refer to https://sdk.bradyid.com/release_notes_android/ for details)
* Removed support for debugging using emulators on iOS devices with the purpose of shrinking the total Plugin size.
* Removed embedded fonts with the purpose of shrinking the total plugin size.
* Removed Android permission requests made inside the plugin.
* Removed the "connectToPrinter" method and added "connectToBluetoothPrinter" and "connectToWifiPrinter".
  * This was necessary because the M611 could have both Bluetooth and Wi-Fi turned on and discovering at the same time. This introduced the scenario where passing-in the name of the printer would blindly connect to whichever protocol discovered the printer first.
* Added the "isPrinterBluetooth" method to let users check if the printer discovered was discovered via Bluetooth or another protocol.
* Made the "setTemplate" method async.
  * This eliminates the case of setting placeholders before a template is properly set. Must use the keyword "await" in front of "setTemplate" to eliminate this risk.

## 1.6.0+1

* Updated Android SDK to 1.6.0 (refer to https://sdk.bradyid.com/release_notes_android/ for details)
* Updated iOS SDK to 1.6.0 (refer to https://sdk.bradyid.com/release_notes_ios/ for details)
* Overhaul on API methods to match the Xamarin and MAUI Brady SDK binding APIs.
  * Split the getPrinterDetails method into separate getters for each detail
  * setTemplate now only takes a file path in the form of a String. This allows capability for bitmap printing now.
  * Added getPreview method to allow a user to see the print preview as an image.
  * Added disconnectWithoutForget and forgetLastConnectedPrinter to split up functionality of the normal disconnect method.
  * Added getAvailablePrinterUpdates which returns a list of all printer properties that were changed since the previous time this method was called.
  * Added stopPrinterDiscovery to allow the user to manually stop discovery instead of relying on the back-end to do it.
  * Added getHaveOwnership to see the value of an M211's ownership status.
  * Added getTemplateSupplyName and checkPartMismatch to see if the template being used matches the printer's installed part.
  * Added printBitmapWithDimensions to allow customization of bitmap on the label. Templates can also be passed in here to customize their scaling.

## 1.1.2+1

* Updated Android SDK to 1.5.1 (refer to https://sdk.bradyid.com/release_notes_android/ for details)
* Updated iOS SDK to 1.4.1 (refer to https://sdk.bradyid.com/release_notes_ios/ for details)
* Split the startPrinterDiscovery() into 2 new API methods:
  * startBlePrinterDiscovery() which starts the discovery scan for nearby Bluetooth Low Energy devices.
  * startWifiPrinterDiscovery() which starts the discovery scan for nearby devices via Wifi.

## 1.1.1+1

* Updated Android SDK to 1.4.7
* Updated iOS SDK to 1.3.6
* The "print" API method now takes 4 arguments:
  * The amount of copies to print as an Int.
  * The desired CutOption of the print as a Boolean.
    * true -> Cut in between each label that prints.
    * false -> Cut at the end of the print job.
  * If the print job should be collated as a Boolean.
    * true -> It will print different labels in the order of 1, 2, 1, 2.
    * false -> It will print different labels in the order of 1, 1, 2, 2.
  * If the print should include a label trailer for each label.

## 1.1.0+1

* Changed the print() API method to take two parameters:
  * The amount of copies to print as an integer.
  * Option to include or exclude the label trailer as a boolean.
* Increasing the minor version number because this will be the first version used in a published app.

## 1.0.8+1

* Updated iOS SDK to version 1.3.2
* Immensely improved time it takes to print to BLE devices.
* Fixed an Image rendering bug.

## 1.0.7+1

* Updated iOS SDK to version 1.3.1
* Updated the Android SDK to version 1.4.4
* Implemented the rotating of objects.
* Improved printer updates for connection via Bluetooth Low Energy.
* Fixed a rendering out of bounds error that would prevent users from printing.
* Fixed a banding bug where templates over 3 inches in length would cause repeated renderings.
* Fixed a barcode bug where anything rendered after a bar code would be positioned incorrectly.

## 1.0.6+1

* Updated to Flutter 3.13.3
* Updated iOS SDK to version 1.3.0
* Updated Android SDK to 1.4.3
* Added getTemplateDataNames API method which retrieves the names of objects in order from the current template.

## 1.0.5+1

* Updated to Flutter 3.13.1
* Updated the Android Brady SDK to version 1.4.1. which includes:
  * LZ4 compression added to M611 BLE connection (10 second faster connection).
  * Bug fixes to rendering a placeholder value in barcodes.
  * Improper disconnection fix.
* Added support for simulators AND physical iOS devices in iOS.
* Added monochromization for rendering images.

## 1.0.4+2

*README and CHANGELOG corrections.

## 1.0.4+1

* Fixed a build error that happens on Macs with an Intel processor (made before 2021) where the iOS SDK cannot find the embedded 3rd party frameworks.
* Fixed issue where Images are rendered with the wrong size or position.
* Fixed issue where ConnectionType was not accurate in PrinterDetails.
* Updated to use Brady Android SDK 1.3.4 and Brady iOS SDK 1.2.0

## 1.0.3+1

* Added Wifi capabilities to the M611.
* Updated Brady Android SDK used to 1.3.3.
  * This fixed a bug where connection to the M611 via Bluetooth Classic would not work.
* Update Brady iOS SDK.
  * Includes an automatic connection bug fix to Wifi printers.
  * Fixed some unhandled errors when performing printer operations.
* Removed unnecessary API methods (refer to https://sdk.bradyid.com for documentation).
* Added API documentation.
* Added the example app to pub.dev.

## 1.0.2+1

* Implemented automatic connection for iOS.

## 1.0.1+1

* Fixed typos and added some documentation to the README with basic API instructions.

## 1.0.0+1

* This is the first fully-functional version of the Brady SDK Flutter Plugin.
* A user may discover, connect, and print to an M211 only via Bluetooth Low Energy.